<?php
function cascade_admin_init()
{
	wp_register_script("cascade-admin", get_template_directory_uri() . "/admin/js/cascade_admin.js", array("jquery"));
	wp_register_style("cascade-admin-style", get_template_directory_uri() . "/admin/style/style.css");
}
add_action("admin_init", "cascade_admin_init");

function cascade_admin_print_scripts()
{
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_script("cascade-admin");
	wp_enqueue_style("cascade-admin-style");
}

function cascade_admin_menu_theme_options() 
{
	add_action("admin_print_scripts-post-new.php", "cascade_admin_print_scripts");
	add_action("admin_print_scripts-post.php", "cascade_admin_print_scripts");
	add_action("admin_print_scripts-appearance_page_ThemeOptions", "cascade_admin_print_scripts");
}
add_action("admin_menu", "cascade_admin_menu_theme_options");
?>