<h3 class="cascade_comment_form_head"><?php _e('Leave a comment', 'cascade'); ?><a href="#cancel" id="cancel_comment" title="<?php esc_attr_e('Cancel reply', 'cascade'); ?>"><?php _e('Cancel reply', 'cascade'); ?></a></h3>
<form class="cascade_comment_form" id='cascade_comment_form'>
	<?php
	if(get_option('comment_registration') && !is_user_logged_in())
	{
	?>
	<p><?php echo sprintf(__("You must be <a href='%s'>logged in</a> to post a comment.", 'cascade'), wp_login_url(esc_url(get_permalink()))); ?></p>
	<?php
	}
	else
	{
	?>
	<div class="form-line block">
		<input type="text" name="comment-user-name" id="comment-user-name" value="<?php esc_attr_e('Your Name', 'cascade'); ?>" onfocus="clearInput(this,'focus','<?php esc_attr_e('Your Name', 'cascade'); ?>')" onblur="clearInput(this,'blur','<?php esc_attr_e('Your Name', 'cascade'); ?>')"/>	
	</div>
	<div class="form-line block">
		<input type="text" name="comment-user-email" id="comment-user-email" value="<?php esc_attr_e('Your Email Address', 'cascade'); ?>" onfocus="clearInput(this,'focus','<?php esc_attr_e('Your Email Address', 'cascade'); ?>')" onblur="clearInput(this,'blur','<?php esc_attr_e('Your Email Address', 'cascade'); ?>')"/>	
	</div>
	<div class="form-line block">
		<textarea rows="0" cols="0" name="comment-message" id="comment-message" onfocus="clearInput(this,'focus','<?php esc_attr_e('Message', 'cascade'); ?>')" onblur="clearInput(this,'blur','<?php esc_attr_e('Message', 'cascade'); ?>')"><?php _e('Message', 'cascade'); ?></textarea>	
	</div>
	<div class="form-line">
		<a href="javascript:submitCommentForm();" class="button block" id="comment-send"><?php _e('Post comment', 'cascade'); ?></a>
		<input type="hidden" name="parent_id" value="<?php echo esc_attr($parent->ID); ?>" />
		<input type="hidden" name="action" value="cascade_comment_form" />
		<input type="hidden" name="comment_parent_id" value="0" />
		<input type="hidden" name="paged" value="1" />
	</div>
	<?php
	}
	?>
	<input type="hidden" name="post_id" value="<?php echo esc_attr($post->ID); ?>" />
</form>