<?php get_header(); ?>
 <!-- Content -->
<div class="content main box-center">
	<!-- Cascade -->
	<div class="cascade preloader">
		<!-- Box menu -->
		<ul class="cascade-menu overflow-fix">
			<?php
			$params = array(
				"cascade_page" => 1
			);
			$result = cascade_get($params);
			echo $result["html"];
			?>
		</ul>
		<!-- /Box menu -->
		<!-- Window -->
		<div class="cascade-window">
			<!-- Close bar -->
			<div class="cascade-window-close-bar">
				<a href="<?php echo ((int)$cascade_options["ajax"] ? '#!/main' : get_home_url()); ?>"></a>
			</div>
			<!-- /Close bar -->
			<!-- Page content -->
			<div class="cascade-window-content">
				<?php
					$name = "";
					if(!(int)$cascade_options["ajax"])
					{	
						global $parent_url;
						$urlExplode = array_values(array_filter(explode("/", $_SERVER["REQUEST_URI"])));
						$name = $urlExplode[count($urlExplode)-1];
						$parent_url = $urlExplode[count($urlExplode)-2];
					}
					if(!empty($_GET["_escaped_fragment_"]))
						$name = $_GET["_escaped_fragment_"];
					if($name!="")
					{
						query_posts(array( 
							'name' => $name,
							'post_type' => array('post', 'page')
						));
						if(have_posts()) : the_post(); 
							$template = get_post_meta(get_the_ID(), '_wp_page_template', true);
							$type = get_post_type();
							if($type=='page') {
								if($template!="" && $template!="default")
									include($template);
								else
									echo (function_exists("has_blocks") && has_blocks() ? '<div class="has-gutenberg-blocks">' : '') . do_shortcode(apply_filters("the_content", get_the_content())) . (function_exists("has_blocks") && has_blocks() ? '</div>' : '');
							} else if($type=='post') {
								$parent = get_page_by_path($parent_url);
								$parent_template = get_post_meta($parent->ID, '_wp_page_template', true);
								$template = ( $parent_template=="blog-full.php" ? "single-blog-full.php" : "single-blog-widget.php" );
								include($template);
							}
						endif;
					}
				?>
			</div>
			<!-- /Page content -->
			<!-- Footer -->
			<div class="cascade-window-footer"></div>
			<!-- /Footer -->
		</div>
		<!-- /Window -->
		<!-- Navigation -->
		<a href="#!<?php echo ($result["count"]>4 ? "/" . esc_attr($result["lastPage"]) . "p/" : "");?>" class="cascade-navigation cascade-navigation-prev"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<a href="#!<?php echo ($result["count"]>4 ? "/2p/" : "");?>" class="cascade-navigation cascade-navigation-next"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<!-- /Navigation -->
	</div>
	<!-- /Cascade -->

</div>
<!-- /Content -->
<?php get_footer(); ?>