<?php
/*
Template Name: Full width
*/
if(!(int)$included)
{
get_header(); ?>
 <!-- Content -->
<div class="content main box-center">
	<!-- Cascade -->
	<div class="cascade preloader">
		<!-- Box menu -->
		<ul class="cascade-menu overflow-fix">
			<?php
			$params = array(
				"cascade_page" => 1
			);
			$result = cascade_get($params);
			echo $result["html"];
			?>
		</ul>
		<!-- /Box menu -->
		<!-- Window -->
		<div class="cascade-window">
			<!-- Close bar -->
			<div class="cascade-window-close-bar">
				<a href="<?php echo ((int)$cascade_options["ajax"] ? '#!/main' : get_home_url()); ?>"></a>
			</div>
			<!-- /Close bar -->
			<!-- Page content -->
			<div class="cascade-window-content">
			<?php
			}
				the_content();
			if(!(int)$included)
			{
			?>
			</div>
			<!-- /Page content -->
			<!-- Footer -->
			<div class="cascade-window-footer"></div>
			<!-- /Footer -->
		</div>
		<!-- /Window -->
		<!-- Navigation -->
		<a href="#!<?php echo ($result["count"]>4 ? "/" . esc_attr($result["lastPage"]) . "p/" : "");?>" class="cascade-navigation cascade-navigation-prev"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<a href="#!<?php echo ($result["count"]>4 ? "/2p/" : "");?>" class="cascade-navigation cascade-navigation-next"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<!-- /Navigation -->
	</div>
	<!-- /Cascade -->
</div>
<!-- /Content -->
<?php get_footer(); 
}?>