<?php
/*
Plugin Name: Cascade Theme Twitter
Plugin URI: https://1.envato.market/quanticalabs-portfolio
Description: Cascade Theme Twitter
Author: QuanticaLabs
Author URI: https://1.envato.market/quanticalabs-portfolio
Version: 1.0
Text Domain: cascade_twitter
*/

//translation
function cascade_twitter_load_textdomain()
{
	load_plugin_textdomain("cascade_twitter", false, dirname(plugin_basename(__FILE__)) . '/languages');
}
add_action('plugins_loaded', 'cascade_twitter_load_textdomain');

function cascade_twitter_shortcode()
{
	global $cascade_options;
	if($cascade_options["twitter_login"]!="" && $cascade_options["twitts_number"]>0):
	require_once('libraries/tmhOAuth/tmhOAuth.php');
	require_once('libraries/tmhOAuth/tmhUtilities.php');

	$tmhOAuth = new tmhOAuth(array(
		'consumer_key'    => $cascade_options["consumer_key"],
		'consumer_secret' => $cascade_options["consumer_secret"],
		'user_token'      => $cascade_options["access_token"],
		'user_secret'     => $cascade_options["access_token_secret"]
	));
	$code = $tmhOAuth->request('GET', $tmhOAuth->url('1.1/statuses/user_timeline'), array(
		'screen_name' => $cascade_options["twitter_login"],
		'count' => $cascade_options["twitts_number"],
		'include_rts' => 'true'
	));
	$response = $tmhOAuth->response;
	?>
	<div class="layout-footer-left latest-tweets">
		<div id="latest-tweets"><ul>
		<?php
		require_once("libraries/lib_autolink.php");
		$tweets = json_decode($response['response']);
		if(isset($tweets->errors) && count($tweets->errors))
			echo '<li><p>' . $tweets->errors[0]->message . __(" Please check your config under Appearance->Theme Options->Social icons!", 'cascade_twitter') . '</p></li>';
		else
			foreach($tweets as $tweet)
				echo '<li><p>' .  autolink($tweet->text, 20, ' target="_blank"') . '</p></li>';
		?>
		</ul></div>
	</div>
	<?php endif;
}
add_shortcode("cascade_twitter", "cascade_twitter_shortcode");
?>